Fedora-Fr - Communauté francophone Fedora - Linux

Communauté francophone des utilisateurs de la distribution Linux Fedora.

  

Dernière news : Représenter Fedora au Capitole du Libre 2019

#26 05/06/2019 18:29:49

carabao
Membre
Lieu : Wallonie, Europe
Inscription : 04/07/2004
Messages : 222

Re : Pilote "nouveau" à mettre à jour ?

Akmod, cela fonctionne mais alors on a deux solutions proposées automatiquement par le gestionnaire de cession.
gnome wayland utilise le pilote intel
gnome xorg utilise le pilote nvidia

En utilisant ce tuto: https://medium.com/@alex285/how-to-enab … 28a67663bf

Dernière modification par carabao (06/06/2019 09:00:51)


Système: Fedora 31 (x86_64) ~ workstation (KDE)  Processeur: Intel I5-7300HQ (4) @ 3.500GHz, RAM: 8 GB, SSD: 256 GB (samsung), HDD: 1 TB (hitachi), Graphique:  Optimus ~ Intel + 1050 TI - GP107M (Nvidia), Son: HD HD Audio (Intel), Réseau: RJ45 (Qualcomm), Wifi (Intel), usb: V3, V2 (Intel)

Hors ligne

#27 06/06/2019 19:45:03

antbel
Membre
Inscription : 03/12/2007
Messages : 727

Re : Pilote "nouveau" à mettre à jour ?

Si tu es pressé de mettre "nouveau" à jour, tu prends la solution du post #11
tu installes les outils rpm
https://doc.fedora-fr.org/wiki/RPM_:_en … nstruction
tu modifies le fichier spec en installant au préalable les *.devel  puis sur le fichier *.spec "modifiable" selon ta conf, par ex :

%define xorg_ver %(pkg-config xorg-server --modversion|cut -d. -f 1-2)
Name:          xorg-drv-video-nouveau
Version:       1.0.16
Release:       Fedora
Summary:       X.Org accelerated Open Source video driver for nVidia cards
Group:         System/X11
Vendor:        Fedora
Distribution:  Fedora
Packager:      Antbel <antbel@fedora.fr>
URL:           http://x.org
Source:        ftp://x.org/pub/individual/driver/xf86-video-nouveau-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcap-devel
BuildRequires: libdrm-devel
BuildRequires: libpcre-devel
BuildRequires: libselinux-devel
BuildRequires: libsepol-devel
BuildRequires: libudev-devel
## AUTOBUILDREQ-END
BuildRequires: xorg-server-devel >= 1.20.4
BuildRequires: xproto-devel
Requires:      xorg-server >= %{xorg_ver}
Requires:      xorg-server <= %{xorg_ver}.255
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
X.Org accelerated Open Source video driver for nVidia cards.

%prep
%setup -q -n xf86-video-nouveau-%{version}

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/nouveau_drv.la
%{_libdir}/xorg/modules/drivers/nouveau_drv.so
%{_mandir}/man4/nouveau.4.gz

%changelog
* repris pour test par antbel pour carabao

* Sun Mar 03 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.16-2mamba
- rebuilt with xorg-server 1.20.4

* Fri Feb 01 2019 Automatic Build System <autodist@mambasoft.it> 1.0.16-1mamba
- automatic version update by autodist

* Thu Dec 07 2017 Automatic Build System <autodist@mambasoft.it> 1.0.15-2mamba
- rebuild with xorg-server 1.19.5

* Sun Aug 13 2017 Automatic Build System <autodist@mambasoft.it> 1.0.15-1mamba
- automatic version update by autodist

* Sat Mar 18 2017 Automatic Build System <autodist@mambasoft.it> 1.0.14-1mamba
- automatic version update by autodist

* Mon Sep 26 2016 Automatic Build System <autodist@mambasoft.it> 1.0.13-1mamba
- automatic version update by autodist

* Fri Jan 15 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.12-1mamba
- update to 1.0.12

* Fri Aug 21 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.11-2mamba
- rebuilt with xorg-server 1.17.2

* Wed Mar 04 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.11-1mamba
- update to 1.0.11

* Sat Jun 14 2014 Automatic Build System <autodist@mambasoft.it> 1.0.10-2mamba
- X.org 1.15 rebuild

* Thu Dec 12 2013 Automatic Build System <autodist@mambasoft.it> 1.0.10-1mamba
- automatic update by autodist

* Mon Aug 12 2013 Automatic Build System <autodist@mambasoft.it> 1.0.9-1mamba
- automatic update by autodist

* Fri Jun 14 2013 Automatic Build System <autodist@mambasoft.it> 1.0.8-1mamba
- automatic version update by autodist

* Sun Mar 31 2013 Automatic Build System <autodist@mambasoft.it> 1.0.7-1mamba
- automatic version update by autodist

* Thu Jan 10 2013 Automatic Build System <autodist@mambasoft.it> 1.0.6-1mamba
- automatic version update by autodist

* Fri Nov 16 2012 Automatic Build System <autodist@mambasoft.it> 1.0.4-1mamba
- automatic version update by autodist

* Wed Oct 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2-2mamba
- rebuilt with xorg-server 1.12

* Tue Oct 09 2012 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Thu Jun 07 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.16.git20120113-3mamba
- automatic update by autodist

* Fri Feb 17 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.16.git20120113-2mamba
- automatic update by autodist

* Fri Jan 13 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.16.git20120113-1mamba
- update to 0.0.16.git20120113

* Fri Jan 13 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.16-3mamba
- updated to git 20120113

* Tue Aug 09 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.16-2mamba
- rebuilt with xorg-server 1.10

* Fri Oct 01 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.16-1mamba
- package created

et tu testes en souhaitant que pour ta carte cela marche.

J'espère que ta participation fera avancer le schimmliii blickk selon G.Lux


Cicéron c'est Poincaré

Hors ligne

#28 06/06/2019 20:35:46

carabao
Membre
Lieu : Wallonie, Europe
Inscription : 04/07/2004
Messages : 222

Re : Pilote "nouveau" à mettre à jour ?

Merci pour le document.

Je vais essayer de m'y mettre, c'est une première pour moi.

Pour commencer la commande su - me demande un mot de passe, je suppose que c'est celui de mon utilisateur principal (administrateur) . Lorsque je rentre le mot de passe de l'utilisateur (administrateur) il est refusé.

su -
Mot de passe : 
su: Échec d'authentification

J'ai donc créé l'utilisateur (builder) via l'interface graphique de gnome sans problème. Puis j'ai ouvert la cession de cet utilisateur (builder)
Lorsque je tape

 yum install rpmdevtools yum-utils

il demande un mot de passe, celui de l'utilisateur (adminsitrateur), il est refusé. Pas dans sudoer ..... ???

je sèche...

Dernière modification par carabao (06/06/2019 20:43:45)


Système: Fedora 31 (x86_64) ~ workstation (KDE)  Processeur: Intel I5-7300HQ (4) @ 3.500GHz, RAM: 8 GB, SSD: 256 GB (samsung), HDD: 1 TB (hitachi), Graphique:  Optimus ~ Intel + 1050 TI - GP107M (Nvidia), Son: HD HD Audio (Intel), Réseau: RJ45 (Qualcomm), Wifi (Intel), usb: V3, V2 (Intel)

Hors ligne

#29 06/06/2019 20:56:31

antbel
Membre
Inscription : 03/12/2007
Messages : 727

Re : Pilote "nouveau" à mettre à jour ?

la commande ,  su - , consiste à demander à travailler en root ( avec demande du mot de passe root. Tu as tous les droits sur ton O.S. Sous Ubuntu la commande sudo -s est équivalente.
la commande sudo, consiste à faire comme si ....
Tout travail de compilation demande à être en root user. Cela veut dire, une maîtrise totale des tenants et aboutissants de l'environnement "root" et "user". Tes professeurs ont dû t'apprendre la responsabilité du codage.
Bonne chance.

Padawan -> Jedi ? Le grand saut vers des territoires inconnus cool

Dernière modification par antbel (07/06/2019 18:40:09)


Cicéron c'est Poincaré

Hors ligne

#30 06/06/2019 21:12:26

carabao
Membre
Lieu : Wallonie, Europe
Inscription : 04/07/2004
Messages : 222

Re : Pilote "nouveau" à mettre à jour ?

Concernant mes professeurs, alors pas du tout, le codage ne faisant pas partie de mon cursus scolaire....
Bon revenons au su -

Je suis dans la cession de mon utilisateur principal (administrateur, donc root ? ) , la commande su - refuse le mot de passe cet utilisateur principal.

Ou alors, je dois créer un "vrai" utilisateur root, comme dans d'autres distributions..

avec la commande

sudo passwd root

Dernière modification par carabao (06/06/2019 21:14:36)


Système: Fedora 31 (x86_64) ~ workstation (KDE)  Processeur: Intel I5-7300HQ (4) @ 3.500GHz, RAM: 8 GB, SSD: 256 GB (samsung), HDD: 1 TB (hitachi), Graphique:  Optimus ~ Intel + 1050 TI - GP107M (Nvidia), Son: HD HD Audio (Intel), Réseau: RJ45 (Qualcomm), Wifi (Intel), usb: V3, V2 (Intel)

Hors ligne

#31 07/06/2019 08:11:13

madko
Contributeur Fedora et Linuxé depuis 1994
Modérateur
Lieu : Noisy the Great (9³)
Inscription : 22/12/2006
Messages : 7 372
Site Web

Re : Pilote "nouveau" à mettre à jour ?

Qu'est ce qu'on peut lire comme anerie des fois. hammer

La compilation ne doit JAMAIS se faire en root. Aucun intérêt ni besoin réel. La règle est simple, le compte root est à éviter le plus souvent possible. Lancer une compilation en root c'est le meilleur moyen d'écraser des fichiers importants sur son système...

Sudo n'est pas lié à Ubuntu, c'est, entres autres, la méthode par défaut sur Fedora pour executer des commandes en tant que root.

Donc carabao, fait juste sudo devant ton yum et ça ira. Il faut avoir cocher la case administrateur pour ton utilisateur builder, ce qui consiste à le mettre dans le groupe wheel (je pense qu'un tour dans la section Documentation ne fera pas de mal). Après si tu ne veux autoriser que la commande yum à ton compte builder c'est une autre histoire. Mais bon, est-ce que ton utilisateur builder a vraiment besoin de ça  ? Les paquets nécessaires pour la compilation une fois qu'on les a installés (via ton compte utilisateur habituel qui a déjà les droits sudo), on est tranquille pour un moment.

Hors ligne

#32 07/06/2019 08:38:51

nouvo09
Accro à Fedo !
Lieu : Paris
Inscription : 22/09/2005
Messages : 21 845

Re : Pilote "nouveau" à mettre à jour ?

Carabao a écrit :

Je suis dans la cession

Puisque tu es dans un cursus scolaire, demande qu'on t'explique la différence entre une "cession" et une "session".


C'est pas parce que c'est difficile qu'on n'ose pas,
c'est parce qu'on ose pas que c'est difficile !

Hors ligne

#33 07/06/2019 08:58:49

carabao
Membre
Lieu : Wallonie, Europe
Inscription : 04/07/2004
Messages : 222

Re : Pilote "nouveau" à mettre à jour ?

Ok, merci pour ta leçon de français. Mais je te le dis j'en ai rien à f..... ou en b...., c'est assez français dans le texte, le prof de français. Bonne journée à toi.

Et merci aux autres intervenants qui apportent dans ce forum, des réponses constructives.

Dernière modification par carabao (07/06/2019 09:10:47)


Système: Fedora 31 (x86_64) ~ workstation (KDE)  Processeur: Intel I5-7300HQ (4) @ 3.500GHz, RAM: 8 GB, SSD: 256 GB (samsung), HDD: 1 TB (hitachi), Graphique:  Optimus ~ Intel + 1050 TI - GP107M (Nvidia), Son: HD HD Audio (Intel), Réseau: RJ45 (Qualcomm), Wifi (Intel), usb: V3, V2 (Intel)

Hors ligne

#34 07/06/2019 09:09:34

carabao
Membre
Lieu : Wallonie, Europe
Inscription : 04/07/2004
Messages : 222

Re : Pilote "nouveau" à mettre à jour ?

madko a écrit :

Qu'est ce qu'on peut lire comme anerie des fois. hammer

La compilation ne doit JAMAIS se faire en root. Aucun intérêt ni besoin réel. La règle est simple, le compte root est à éviter le plus souvent possible. Lancer une compilation en root c'est le meilleur moyen d'écraser des fichiers importants sur son système...

Sudo n'est pas lié à Ubuntu, c'est, entres autres, la méthode par défaut sur Fedora pour executer des commandes en tant que root.

Donc carabao, fait juste sudo devant ton yum et ça ira. Il faut avoir cocher la case administrateur pour ton utilisateur builder, ce qui consiste à le mettre dans le groupe wheel (je pense qu'un tour dans la section Documentation ne fera pas de mal). Après si tu ne veux autoriser que la commande yum à ton compte builder c'est une autre histoire. Mais bon, est-ce que ton utilisateur builder a vraiment besoin de ça  ? Les paquets nécessaires pour la compilation une fois qu'on les a installés (via ton compte utilisateur habituel qui a déjà les droits sudo), on est tranquille pour un moment.


Merci pour toutes tes explications. j'essayai de comprendre la documentation de ce lien: https://doc.fedora-fr.org/wiki/RPM_:_en … nstruction .
Où on parle de créer un compte builder,
puis de se connecter à la session "builder"
et de continuer dans celle-ci, donc ici impossible d’installer (yum ou dnf je suppose ...) via ce compte, vu que cet utilisateur n'est pas "administrateur" , ce qui est normale en soi.

Voilà, mais je vais continuer à chercher, à explorer, à fouiner... c'est assez français dans le texte ?  (commentaire ciblé pour les pros de notre belle langue romane).

Dernière modification par carabao (07/06/2019 16:17:25)


Système: Fedora 31 (x86_64) ~ workstation (KDE)  Processeur: Intel I5-7300HQ (4) @ 3.500GHz, RAM: 8 GB, SSD: 256 GB (samsung), HDD: 1 TB (hitachi), Graphique:  Optimus ~ Intel + 1050 TI - GP107M (Nvidia), Son: HD HD Audio (Intel), Réseau: RJ45 (Qualcomm), Wifi (Intel), usb: V3, V2 (Intel)

Hors ligne

#35 07/06/2019 10:36:27

Nednet
Membre
Lieu : aux alentours de Toulouse
Inscription : 07/12/2015
Messages : 543

Re : Pilote "nouveau" à mettre à jour ?

hello,

via la gestion des utilisateurs tu peux donner (comme ça été dit) à ton utilisateur les droits d'un "sudoer", soit par ligne de commande en l'affectant au groupe "wheel" (mais pourquoi ce nom, au passage ?), soitvia l'interface graphique ("utilisateurs et groupes" ou un truc du genre).

une fois déco-reconnecté à sa session après ça, tu devrais pouvoir utiliser "sudo la_commande_blabla"


Il n'y a aucune honte à ne pas savoir
mais beaucoup à ne pas apprendre

Hors ligne

#36 07/06/2019 10:50:05

carabao
Membre
Lieu : Wallonie, Europe
Inscription : 04/07/2004
Messages : 222

Re : Pilote "nouveau" à mettre à jour ?

Merci beaucoup, je me penche dès que possible sur la question.


Système: Fedora 31 (x86_64) ~ workstation (KDE)  Processeur: Intel I5-7300HQ (4) @ 3.500GHz, RAM: 8 GB, SSD: 256 GB (samsung), HDD: 1 TB (hitachi), Graphique:  Optimus ~ Intel + 1050 TI - GP107M (Nvidia), Son: HD HD Audio (Intel), Réseau: RJ45 (Qualcomm), Wifi (Intel), usb: V3, V2 (Intel)

Hors ligne

#37 07/06/2019 15:28:56

winmandrake
Membre
Inscription : 08/07/2008
Messages : 1 140

Re : Pilote "nouveau" à mettre à jour ?

Cependant, si tu es sous F30, yum install rpmdevtools yum-utils ne fonctionnera pas.
Il est largement déprécié au profil de dnf...


Mon pc : AMD R5-2400G sur Asus Prime B450M-A, 16 Go ram, Nvidia 1050Ti (4Go), SSD Samsung 850 EVO (250 Go) + black caviar de 1To.

Hors ligne

#38 07/06/2019 16:16:51

carabao
Membre
Lieu : Wallonie, Europe
Inscription : 04/07/2004
Messages : 222

Re : Pilote "nouveau" à mettre à jour ?

oui oui, j'avais déjà envisagé l'équivalence yum --> dnf, merci


Système: Fedora 31 (x86_64) ~ workstation (KDE)  Processeur: Intel I5-7300HQ (4) @ 3.500GHz, RAM: 8 GB, SSD: 256 GB (samsung), HDD: 1 TB (hitachi), Graphique:  Optimus ~ Intel + 1050 TI - GP107M (Nvidia), Son: HD HD Audio (Intel), Réseau: RJ45 (Qualcomm), Wifi (Intel), usb: V3, V2 (Intel)

Hors ligne

#39 07/06/2019 16:47:56

nouvo09
Accro à Fedo !
Lieu : Paris
Inscription : 22/09/2005
Messages : 21 845

Re : Pilote "nouveau" à mettre à jour ?

carabao a écrit :

Ok, merci pour ta leçon de français. Mais je te le dis j'en ai rien à f..... ou en b...., c'est assez français dans le texte, le prof de français. Bonne journée à toi.

Qui se sent morveux, se mouche (Molière, entre autres)


C'est pas parce que c'est difficile qu'on n'ose pas,
c'est parce qu'on ose pas que c'est difficile !

Hors ligne

#40 07/06/2019 18:41:38

antbel
Membre
Inscription : 03/12/2007
Messages : 727

Re : Pilote "nouveau" à mettre à jour ?

Ânerie du post # 29 corrigée . Inattention de rédaction.


Cicéron c'est Poincaré

Hors ligne

#41 07/06/2019 22:47:56

carabao
Membre
Lieu : Wallonie, Europe
Inscription : 04/07/2004
Messages : 222

Re : Pilote "nouveau" à mettre à jour ?

Pas de soucis, j'étais passé à côté aussi. Encore merci pour ton aide.


Système: Fedora 31 (x86_64) ~ workstation (KDE)  Processeur: Intel I5-7300HQ (4) @ 3.500GHz, RAM: 8 GB, SSD: 256 GB (samsung), HDD: 1 TB (hitachi), Graphique:  Optimus ~ Intel + 1050 TI - GP107M (Nvidia), Son: HD HD Audio (Intel), Réseau: RJ45 (Qualcomm), Wifi (Intel), usb: V3, V2 (Intel)

Hors ligne

Pied de page des forums